Cyberduck Mountain Duck CLI

#7892 closed enhancement (fixed)

Prioritize certain filetypes in long uploads

Reported by: georg stadler Owned by: dkocher
Priority: low Milestone: 4.5
Component: core Version: 4.4.3
Severity: minor Keywords:
Cc: Architecture:
Platform:

Description

First world Problem:

When uploading an Update to a large web app I would like to prioritize the files containing the logic (php usw.) which are usually very small over the other assets (jpg, gif usw.), which are usually very big and take up the bulk of the upload.

I Could start using configuring the app while the assets are still uploading. :)

Attachments (1)

Bildschirmfoto 2014-04-22 um 17.05.17.png (133.3 KB) - added by georg stadler on Apr 22, 2014 at 3:30:30 PM.
UI Mockup of dersired Feature.

Download all attachments as: .zip

Change History (5)

comment:1 Changed on Apr 22, 2014 at 2:56:35 PM by dkocher

  • Component changed from ftp to core

Changed on Apr 22, 2014 at 3:30:30 PM by georg stadler

UI Mockup of dersired Feature.

comment:2 Changed on Apr 30, 2014 at 1:59:29 PM by dkocher

  • Milestone set to 4.5
  • Resolution set to fixed
  • Status changed from new to closed

In r14558. Use the hidden property queue.upload.priority.regex and queue.download.priority.regex to determine sort order. For example

defaults write ch.sudo.cyberduck queue.upload.priority.regex ".*\.html"

comment:3 Changed on Apr 30, 2014 at 1:59:48 PM by dkocher

We have no plans to add a graphical preference option.

comment:4 Changed on Apr 30, 2014 at 2:01:46 PM by dkocher

Documentation in the wiki.

Note: See TracTickets for help on using tickets.